import { useEffect } from "react";

const preventNav = evt => {
  evt.preventDefault();
  evt.returnValue = '';
}

export default () => useEffect(() => {
  window.addEventListener("beforeunload", preventNav);
  return () => window.removeEventListener("beforeunload", preventNav);
}, []);
